Skip to main content
GET
List Traces

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

run_id
string | null

Filter by run ID

session_id
string | null

Filter by session ID

user_id
string | null

Filter by user ID

agent_id
string | null

Filter by agent ID

team_id
string | null

Filter by team ID

workflow_id
string | null

Filter by workflow ID

status
string | null

Filter by status (OK, ERROR)

start_time
string | null

Filter traces starting after this time (ISO 8601 format with timezone, e.g., '2025-11-19T10:00:00Z' or '2025-11-19T15:30:00+05:30'). Times are converted to UTC for comparison.

end_time
string | null

Filter traces ending before this time (ISO 8601 format with timezone, e.g., '2025-11-19T11:00:00Z' or '2025-11-19T16:30:00+05:30'). Times are converted to UTC for comparison.

page
integer
default:1

Page number (1-indexed)

Required range: x >= 0
limit
integer
default:20

Number of traces per page

Required range: x >= 1
db_id
string | null

Database ID to query traces from

Response

List of traces retrieved successfully

data
TraceSummary · object[]
required

List of items for the current page

meta
PaginationInfo · object
required

Pagination metadata